"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var defaultWidth = 40;
var terminalWidth = function () {
    return (process.stdout.isTTY ? process.stdout.columns : defaultWidth) || defaultWidth;
};
var decideWidth = function (minWidth) {
    if (minWidth === void 0) { minWidth = 0; }
    return Math.max(minWidth, terminalWidth());
};
var horizontalLine = function (n, symbol) {
    symbol = symbol || '-';
    var k;
    var str = '';
    for (k = 0; k < n; k += 1) {
        str += symbol;
    }
    return function () {
        console.log(str);
    };
};
var centerText = function (text) {
    var w = terminalWidth();
    var s = text;
    while (s.length < w - 1) {
        s = ' ' + s + ' ';
    }
    return s;
};
exports.terminalBanner = function (text, symbol) {
    var n = decideWidth(text.length);
    var hr = horizontalLine(n, symbol);
    hr();
    console.log(centerText(text));
    hr();
};
